using Nancy;
using Nancy.Security;

namespace RaceLapTimer.Modules
{
    public class RaceDirectorModule:NancyModule
    {
        public RaceDirectorModule() : base("/racedirector")
        {
            this.RequiresAuthentication();

            Get[""] = args => GetRaceDirectoryHomePage();
            //API METHOD - Get["lapTimes"]
        } 

        private dynamic GetRaceDirectoryHomePage()
        {
            return View["RaceDirector.cshtml"];
        }
    }
}
